## net.sourceforge.pmd.sourcetypehandlers
Class SourceTypeHandlerBroker

    java.lang.Object
      net.sourceforge.pmd.sourcetypehandlers.SourceTypeHandlerBroker

public class SourceTypeHandlerBroker
extends java.lang.Object

Broker for SourceTypeHandler instances for specific SourceTypes.

Author:
  pieter_van_raemdonck - Application Engineers NV/SA - www.ae.be

Constructor Summary
`SourceTypeHandlerBroker()` Public constructor.

Method Summary
`SourceTypeHandler` `getVisitorsFactoryForSourceType(SourceType sourceType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SourceTypeHandlerBroker

    public SourceTypeHandlerBroker()

  Public constructor.

Method Detail

### getVisitorsFactoryForSourceType

    public SourceTypeHandler getVisitorsFactoryForSourceType(SourceType sourceType)

Copyright © 2002-2006 InfoEther. All Rights Reserved.